Skip to main content
`Ctrl`+`K`

# DMNetworkGetConnectedVertices

Return the connected vertices for this edge point

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetConnectedVertices(DM dm, PetscInt edge, const PetscInt *vertices[])

Not Collective

## Input Parameters

- dm - the `DMNETWORK` object

- edge - the edge point

## Output Parameter

- vertices - vertices connected to this edge

## See Also

`DM`, `DMNETWORK`, `DMNetworkCreate()`, `DMNetworkGetSupportingEdges()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages